using Microsoft.AspNetCore.Mvc;
using DndBattlefield.Data;
using DndBattlefield.Models;
using Microsoft.EntityFrameworkCore;

namespace DndBattlefield.Controllers
{
    [ApiController]
    [Route("api/[controller]")]
    public class SpillepladeController : ControllerBase
    {
        private readonly AppDbContext _db;

        public SpillepladeController(AppDbContext db)
        {
            _db = db;
        }

        // GET: /api/spilleplade
        [HttpGet]
        public async Task<ActionResult<IEnumerable<Spilleplade>>> Get()
        {
            var plader = await _db.Spilleplader
                .Include(p => p.Terrain)
                .ToListAsync();

            return Ok(plader);
        }
    }
}
