using DndBattlefield.Models;

namespace DndBattlefield.Data;

public static class DbSeeder
{
    public static void Seed(AppDbContext db)
    {
        if (db.Spilleplader.Any()) return; // Prevent duplicate seeding

        var spilleplade = new Spilleplade
        {
            Name = "Test Map",
            Gridtype = "square",
            Cellsize = 64,
            BackgroundImage = "/Spilleplader/testmap.jpg",
            Terrain = new List<Terrain>
            {
                new Terrain
                {
                    Name = "Rock",
                    Type = "obstacle",
                    Image = "/Terrain/rock.jpg",
                    X = 128,
                    Y = 64,
                    BlocksMovement = true,
                    MovementCost = 0
                }
            }
        };

        db.Spilleplader.Add(spilleplade);
        db.SaveChanges();
    }
}
