﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace DnDBattlefield.Migrations
{
    /// <inheritdoc />
    public partial class InitialCreate : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Spilleplader",
                columns: table => new
                {
                    ID = table.Column<int>(type: "INTEGER", nullable: false)
                        .Annotation("Sqlite:Autoincrement", true),
                    Name = table.Column<string>(type: "TEXT", nullable: true),
                    Gridtype = table.Column<string>(type: "TEXT", nullable: true),
                    Cellsize = table.Column<int>(type: "INTEGER", nullable: false),
                    BackgroundImage = table.Column<string>(type: "TEXT", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Spilleplader", x => x.ID);
                });

            migrationBuilder.CreateTable(
                name: "Terrains",
                columns: table => new
                {
                    ID = table.Column<int>(type: "INTEGER", nullable: false)
                        .Annotation("Sqlite:Autoincrement", true),
                    Name = table.Column<string>(type: "TEXT", nullable: true),
                    Type = table.Column<string>(type: "TEXT", nullable: true),
                    Image = table.Column<string>(type: "TEXT", nullable: true),
                    X = table.Column<int>(type: "INTEGER", nullable: false),
                    Y = table.Column<int>(type: "INTEGER", nullable: false),
                    BlocksMovement = table.Column<bool>(type: "INTEGER", nullable: false),
                    MovementCost = table.Column<int>(type: "INTEGER", nullable: false),
                    SpillepladeID = table.Column<int>(type: "INTEGER", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Terrains", x => x.ID);
                    table.ForeignKey(
                        name: "FK_Terrains_Spilleplader_SpillepladeID",
                        column: x => x.SpillepladeID,
                        principalTable: "Spilleplader",
                        principalColumn: "ID",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateIndex(
                name: "IX_Terrains_SpillepladeID",
                table: "Terrains",
                column: "SpillepladeID");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Terrains");

            migrationBuilder.DropTable(
                name: "Spilleplader");
        }
    }
}
